Summary:	Python SANE module
Summary(pl.UTF-8):	Moduł SANE dla Pythona
Name:		python-pysane
Version:	2.0.1
Release:	2
License:	MIT-like
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/p/pysane/pysane-%{version}.tar.gz
# Source0-md5:	8964574c06ab6ee7b782429386e887ac
URL:		https://pypi.python.org/pypi/pysane/
BuildRequires:	python-PIL-devel
BuildRequires:	python-devel >= 2
BuildRequires:	python-numpy-numarray-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sane-backends-devel
Requires:	python-PIL
Requires:	python-numpy-numarray
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SANE module provides an interface to the SANE scanner and frame
grabber interface for Linux.

%description -l pl.UTF-8
Moduł SANE udostępnia interfejs do biblioteki SANE będącej interfejsem
do skanerów i urządzeń przechwytujących ramki obrazu dla Linuksa.

%prep
%setup -q -n pysane-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/_sane.so
%{py_sitedir}/sane.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pysane-%{version}-py*.egg-info
%endif
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pysane.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8a44542
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6317a8c
- automatic change: use py_build/py_install macros

* Sat Dec 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 70c7f50
- new

